Bug 105683 - [Qt] Remove misspelled ENABLE(SPEECH_INPUT) guard
Summary: [Qt] Remove misspelled ENABLE(SPEECH_INPUT) guard
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Qt (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Qt
Depends on:
Blocks:
 
Reported: 2012-12-22 21:43 PST by Laszlo Gombos
Modified: 2013-01-29 03:33 PST (History)
8 users (show)

See Also:


Attachments
proposed change (1.45 KB, patch)
2013-01-25 12:36 PST, Laszlo Gombos
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Laszlo Gombos 2012-12-22 21:43:44 PST
ENABLE(SPEECH_INPUT) is only used in one Qt specific file - ./WebKit2/WebProcess/qt/WebProcessQt.cpp:#if ENABLE(SPEECH_INPUT).

The macros should be likely spelled ENABLE(INPUT_SPEECH) instead.
Comment 1 Laszlo Gombos 2013-01-25 12:36:24 PST
Created attachment 184795 [details]
proposed change

After a second look I think it is better to remove the guard instead of renaming it.
Comment 2 WebKit Review Bot 2013-01-29 03:33:44 PST
Comment on attachment 184795 [details]
proposed change

Clearing flags on attachment: 184795

Committed r141092: <http://trac.webkit.org/changeset/141092>
Comment 3 WebKit Review Bot 2013-01-29 03:33:48 PST
All reviewed patches have been landed.  Closing bug.